/* DO NOT DELETE   
 * THIS FILE IS NOT AUTO-GENERATED BY FLEX OR BISON*/
#ifndef OBSCANNER_H
#define OBSCANNER_H
#include "ObParser.H"
#ifndef YY_DECL
#define	YY_DECL			    \
           objectbuilder::ObParser::token_type		\
           objectbuilder::ObScanner::lex(		\
	         objectbuilder::ObParser::semantic_type* yylval,	    \
	         objectbuilder::ObParser::location_type* yylloc	    \
	      )
#endif

#ifndef __FLEX_LEXER_H
#define yyFlexLexer ObFlexLexer
#include "FlexLexer.h"
#undef yyFlexLexer
#endif


namespace objectbuilder
{
    class ObScanner:public ObFlexLexer
    {
	public:
	ObScanner(std::istream*, std::ostream*);
	void set_debug(bool);

	int yylex(FLEX_STD istream* new_in, FLEX_STD ostream* new_out = 0);

	/** This is the main lexing function. It is generated by flex according to
	 *      * the macro declaration YY_DECL above. The generated bison parser then
	 *           * calls this virtual function to fetch new tokens. */
	virtual ObParser::token_type lex(
		ObParser::semantic_type* yylval,
		ObParser::location_type* yylloc
		);

	~ObScanner();

    }
    ;
}
#endif //OBSCANNER_H
